SELECT
  *
FROM all_inventory_item_overview
LEFT JOIN more_recent_inventory_lines_with_same_barcode USING (item_id)
LEFT JOIN inventory_last_n_days_sales USING (item_id)
WHERE (%(location_id)s IS NULL OR location = %(location_id)s)
  AND available
ORDER BY
  name ASC,
  item_barcode DESC,
  bought DESC
